<?php
if (!isset($sshfed_folder)) {
	require_once("../../../config.php");
}
require_once($sshfed_folder."/api/Auth.php");
require_once('PoA.php');

class PAPIAuth implements Auth {
	private $poa;
	private $userData;
	private $deniedAttributes;
	private $assertion;

	public function __construct() {
		GLOBAL $papi_module_config;
		$this->poa = new PoA($papi_module_config["poa_id"]);
		$this->userData = array();
		$this->deniedAttributes = array("PAPIAuthValue","PAPIASName","PAPIAssertion");
	}

	public function doAuth() {
		$this->userData = $this->poa->check_Access();
		$this->assertion = $this->userData['PAPIAssertion'];
		return strcmp($this->userData['PAPIAuthValue'],"1")==0;
	}
	
	public function getUser() {
		GLOBAL $user_id_attribute;
		
		return $this->userData[$user_id_attribute];
	}
	
	public function getAttributes() {
		$res = array();
		error_log($this->assertion);
		$dataAssertion = explode(",",$this->assertion);
		error_log(print_r($dataAssertion,true));
/*		foreach ($dataAssertion as $data) {
			$nameAttr = substr($data, 0, strpos($data, "="));
			$valuesAttr = substr($data, strpos($data, "=") + 1);
			$res[$nameAttr] = $valuesAttr;
		}*/
		foreach ($this->userData as $key => $value) {
			if (!in_array($key, $this->deniedAttributes)) {
				if (strpos($value,"#")===false) {
					$res[$key]=array($value);
				}
				else {
					$res[$key]=explode("#",$value);
				}
			}
		} 
/*		if (array_key_exists("ssh",$res)) {
			$value = $res["ssh"];
			$res["ssh"] = array(implode("#",$value));
		} */
		return $res;
	}
	
	public function doLogout() {
	}
}

?>