<?php
if (!isset($sshfed_folder)) {
	require_once("../../config.php");
}
require_once($sshfed_folder."/api/SSHServer.php");
require_once($sshfed_folder."/api/SSHGroup.php");

/*
<SSHServersList>
	<SSHServer host="localhost" port="22">
		...
	</SSHServer>
	<SSHGroup id="admin">
		...
	</SSHGroup>
</SSHServerList>
*/
class SSHList {
	private $list;
	private $listGroups;
	
	public function __construct($xml = "") {
		$this->list = array();
		$this->listGroups = array();
		
		if (!is_string($xml)) {
			$this->loadFromXML($xml);
		}
	}
	
	private function loadFromXML($xmlDoc) {
		foreach ($xmlDoc->SSHServer as $server) {
			$sshserver = new SSHServer($server);
			$this->list[] = $sshserver;
		}
		foreach ($xmlDoc->SSHGroup as $group) {
			$sshgroup = new SSHGroup($group);
			$this->listGroups[] = $sshgroup;
		}
	}
	
	public function getSSHServerList() {
		$res = $this->list;
//		foreach ($this->listGroups as $group) {
//			$res = array_merge($res, $group->getServers());
//		}
		return $res;
	}
	
	public function getSSHGroupList() {
		return $this->listGroups;
	}
	
	public static function readFromConfigFile() {
		GLOBAL $policy_file;
		
		$file = file_get_contents($policy_file);
		return new SSHList(simplexml_load_string($file));
	}
}
?>