<?php
require_once("../config.php");
require_once($sshfed_folder."/keyManager.php");
require_once($sshfed_folder."/api/SSHList.php");
require_once($sshfed_folder."/api/SSHServer.php");
require_once($sshfed_folder."/api/Key.php");
require_once($sshfed_folder."/api/Auth.php");
require_once($sshfed_folder."/api/AuthManager.php");

$list = SSHList::readFromConfigFile();

$auth = AuthManager::getAuth($auth_module);
if ($auth->doAuth()==false) {
	die("Authentication failed");
}

?>
<html>
	<head>
		<title>Fed.SSH - Home</title>
		<link rel="stylesheet" type="text/css" media="screen" href="css/style.css" />
		<script type="text/javascript" src="js/prototype-1.6.0.3.js"></script>
	</head>
	<body>
		<div id="header">
			<div id="logoheader">
				<div id="infouser">
					<div id="datauser"><?php echo $auth->getUser(); ?></div>
					<div id="datakeys"><?php echo count(getUserKeys($auth)); ?> keys</div>
				</div>
				<div id="title">Fed.SSH</div>
				<div id="menu">
					<ul>
						<li id="selmenu"><a href="index.php">Home</a></li>
						<li><a href="servers.php">Servers</a></li>
						<li><a href="keys.php">Keys</a></li>
						<li><a href="help.php">Help</a></li>
					</ul>
				</div>
			</div>
		</div>
		<div id="main">
			<p>&nbsp;</p>
			<p>You are connected as <?php echo $auth->getUser(); ?>.</p>
			<p>Your attributes are:</p>
			<ul>
<?php
$attrs=$auth->getAttributes();
foreach ($attrs as $attr => $values) {
?>
				<li><?php echo $attr; ?>: <ul style="font-family: Courier New, Courier New, Courier, monospace;">
<?php 
	foreach ($values as $value) {
		if (strlen($value)>60) {
			$value = substr($value,0,60)."...";
		}
		echo "<li>".$value."</li>";
	}
?>
				</ul></li>
<?php
}
?>
			</ul>
		</div>
	</body>
</html>